RSS   Vulnerabilities for 'Cosmoshop'   RSS

2015-02-27
 
CVE-2015-2103

CWE-79
 

 
Cross-site scripting (XSS) vulnerability in the admin-login panel (admin/index.cgi) in Cosmoshop allows remote attackers to inject arbitrary web script or HTML via the username field (u_name parameter).

 
2006-05-19
 
CVE-2006-2475

CWE-Other
 

 
Directory traversal vulnerability in (1) edit_mailtexte.cgi and (2) bestmail.cgi in Cosmoshop 8.11.106 and earlier allows remote administrators to read arbitrary files via ".." sequences in the file parameter.

 
 
CVE-2006-2474

CWE-Other
 

 
SQL injection vulnerability in lshop.cgi in Cosmoshop 8.11.106 and earlier allows remote attackers to execute arbitrary SQL commands via the artnum parameter.

 
2005-09-02
 
CVE-2005-2786

 

 
Directory traversal vulnerability in bestmail_edit.cgi in cosmoshop 8.10.78 and earlier allows remote administrators to read arbitrary files via ".." sequences in the file parameter.

 
 
CVE-2005-2785

 

 
cosmoshop 8.10.78 and earlier stores passwords in plaintext in the database, which allows local users to obtain sensitive information.

 
 
CVE-2005-2784

 

 
SQL injection vulnerability in the login function for the administration login panel in cosmoshop 8.10.78 allows remote attackers to execute arbitrary SQL commands and bypass authentication via unspecified vectors.

 


Copyright 2019, cxsecurity.com

 

Back to Top